summaryrefslogtreecommitdiffstats
path: root/multimedia/oggvideotools
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-13 00:59:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:47 +0200
commitb4e38617b578ec00718fa35881aab93f94402712 (patch)
tree4784ed2646dd454c8a0126855c7b078498beb4a7 /multimedia/oggvideotools
parent4c55fc490fd05b8d559cd41c2aa30ed8b0eda484 (diff)
downloadslackbuilds-b4e38617b578ec00718fa35881aab93f94402712.tar.gz
slackbuilds-b4e38617b578ec00718fa35881aab93f94402712.tar.xz
multimedia/oggvideotools: Added to 13.0 repository
Diffstat (limited to 'multimedia/oggvideotools')
-rw-r--r--multimedia/oggvideotools/README8
-rw-r--r--multimedia/oggvideotools/oggvideotools.SlackBuild93
-rw-r--r--multimedia/oggvideotools/oggvideotools.info10
-rw-r--r--multimedia/oggvideotools/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/multimedia/oggvideotools/README b/multimedia/oggvideotools/README
new file mode 100644
index 0000000000..ec3bdc36fe
--- /dev/null
+++ b/multimedia/oggvideotools/README
@@ -0,0 +1,8 @@
+Ogg Video Tools is a toolbox for manipulating Ogg video files, which
+usually consist of a video stream (Theora) and an audio stream (Vorbis).
+
+It provides handy command line tools for creating and manipulating these
+video files.
+
+It needs SDL, libvorbis and libtheora which are all part of slackware
+install.
diff --git a/multimedia/oggvideotools/oggvideotools.SlackBuild b/multimedia/oggvideotools/oggvideotools.SlackBuild
new file mode 100644
index 0000000000..a4635ebaf0
--- /dev/null
+++ b/multimedia/oggvideotools/oggvideotools.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware Package Build Script for OggVideoTools
+# Home Page http://dev.streamnik.de/oggvideotools.html
+
+# Copyright (c) 2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=oggvideotools
+VERSION=0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+cp -a AUTHORS ChangeLog COPYING INSTALL \
+ NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/*.html docs/DocuOggVideoTools.pdf $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/oggvideotools/oggvideotools.info b/multimedia/oggvideotools/oggvideotools.info
new file mode 100644
index 0000000000..7d2258188b
--- /dev/null
+++ b/multimedia/oggvideotools/oggvideotools.info
@@ -0,0 +1,10 @@
+PRGNAM="oggvideotools"
+VERSION="0.8"
+HOMEPAGE="http://dev.streamnik.de/oggvideotools.html"
+DOWNLOAD="http://downloads.sourceforge.net/oggvideotools/oggvideotools-0.8.tar.gz"
+MD5SUM="d735b6a4cdb5557340cc4b7d558f1052"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/multimedia/oggvideotools/slack-desc b/multimedia/oggvideotools/slack-desc
new file mode 100644
index 0000000000..caf9e77fc4
--- /dev/null
+++ b/multimedia/oggvideotools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------|
+oggvideotools: oggvideotools (Ogg Video Tools)
+oggvideotools:
+oggvideotools: Ogg Video Tools is a toolbox for manipulating ogg video
+oggvideotools: files. It provides handy command line tools for creating
+oggvideotools: and manipulating these video files.
+oggvideotools:
+oggvideotools: Homepage: http://dev.streamnik.de/oggvideotools.html
+oggvideotools:
+oggvideotools:
+oggvideotools:
+oggvideotools: